Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w dziale Administracja.
Wiadomości z problemami zamieszczone w wątku "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

i znów po aktualizacji wcięło Wi-Fi (ROZWIĄZANY)

Zaczęty przez Piejanto, Styczeń 14, 2022, 12:09:26 AM

Poprzedni wątek - Następny wątek

Piejanto

Mam Asusa z Archem XFCE

Po ostatniej aktualizacji znów wcięło mi Wi-Fi .
podczas aktualizacji otrzymałem następujące komuikaty:

(10/15) Install DKMS modules
==> dkms install --no-depmod rtl8821ce/1.0.5.r128.gf93db73 -k 5.15.14-1-lts
Error! Bad return status for module build on kernel: 5.15.14-1-lts (x86_64)
Consult /var/lib/dkms/rtl8821ce/1.0.5.r128.gf93db73/build/make.log for more information.
==> WARNING: `dkms install --no-depmod rtl8821ce/1.0.5.r128.gf93db73 -k 5.15.14-1-lts' exited 10
==> dkms install --no-depmod rtl8821ce/1.0.5.r128.gf93db73 -k 5.16.0-arch1-1
Error! Bad return status for module build on kernel: 5.16.0-arch1-1 (x86_64)
Consult /var/lib/dkms/rtl8821ce/1.0.5.r128.gf93db73/build/make.log for more information.
==> WARNING: `dkms install --no-depmod rtl8821ce/1.0.5.r128.gf93db73 -k 5.16.0-arch1-1' exited 10
(11/15) Updating linux initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux-lts.preset: 'default'
  -> -k /boot/vmlinuz-linux-lts -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-lts.img
==> Starting build: 5.15.14-1-lts
  -> Running build hook: [base]



Spróbowałem zmiany kernela wpisując

sudo pacman -S linux-lts linux-lts-headers
a po instalacji
sudo grub-mkconfig -o /boot/grub/grub.cfg

i zrestartowałem komputer ale to nic nie dało.

Octopi pokazuje, że rtl8821ce-dkms-git  mam zainstalowane.

Poproszę o pomoc


robson75

#1
To musisz zainstalować kernel 5.10, jeżeli masz dodane repo chaotic-aur to wystarczy zainstalować
sudo pacman -S linux-lts-tkg-bmq linux-lts-tkg-bmq-headers
i przeładować gruba
sudo grub-mkconfig -o /boot/grub/grub.cfg
I restart kompa.

EDIT.
A żeby nie startował jako pierwszy linux-lts, to weź go po prostu odinstaluj
sudo pacman -Rns linux-lts linux-lts-headers
Z tego co piszesz to masz zainstalowany linux oraz linux-lts. To śmiało możesz wywalić linux-lts, a linux zostawić, gdyż warto mieć zainstalowane 2 kernele, z tego względu że jak Ci system nie wstanie z jednego to możesz go uruchomić z drugiego.
I jeszcze jedna drobna uwaga.
Gdy instalujesz lub usuwasz kernel za każdym razem musisz przeładować gruba
sudo grub-mkconfig -o /boot/grub/grub.cfg
Arch Linux Xfce+compiz - 64Bit Linux User #621110

pavbaranov

#2
Pokaż: /var/lib/dkms/rtl8821ce/1.0.5.r128.gf93db73/build/make.log
Spróbuj też przebudować paczkę sterownika z AUR (choć od listopada 2021 nie widzę tam zmian).

EDIT:
Wydaje się, że kernel 5.16 ma obsługę rtl8821ce (zob.: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=b789e3fe7047296be0ccdbb7ceb0b58856053572 oraz https://bbs.archlinux.org/viewtopic.php?pid=2005747#p2005747), a zatem budowa modułu przez dkms nie ma sensu. Można zatem spróbować odinstalować paczkę rtl8821ce-dkms-git, przeinstalować kernel 5.16 i uruchomić komputer z tego kernela, sprawdzając jednocześnie czy czegoś w blacklistach nie masz wpisanego, co dotyczyłoby rtw**** (zob.: https://github.com/tomaspinho/rtl8821ce#wi-fi-not-working-for-kernel--59). Jeśli w istocie sterownik jest już w kernelu, to nie sterownik z AUR będzie z nim w konflikcie i nie będzie się dawać zbudować modułu.
Niestety jak widać z komentarzy, linia 5.15.x nie ma mieć backportu tego sterownika, choć nieśmiało ktoś mówi, że gdzieś jakaś binarka się ma pojawić (nie wiem gdzie). Być może wersja Archowa ma nałożony patch z 5.16, choć PKGBUILD: https://github.com/archlinux/svntogit-packages/blob/packages/linux-lts/trunk/PKGBUILD na to nie wskazuje (a głębiej mi się szukać nie chce).
Dodatkowo - nie wiem kiedy budowałeś ten sterownik (nr commitu f93db73 wskazuje, że nie uwzględnia on najnowszej, dostępnej wersji), ale jest też coś takiego: https://github.com/tomaspinho/rtl8821ce/issues/244 co wskazywałoby na konieczność nałożenia łatki lub przebudowania tego modułu. Może się jednak okazać, że będzie on działać dla 5.15.x, ale będzie się gryźć z 5.16.x i wówczas trzeba byłoby - jeśli chcesz zachować obie linie - zrobić wersję nie-dkms tego sterownika, a wówczas po każdej aktualizacji w linii 5.15.x będziesz musiał ręcznie budować ten moduł.

Piejanto

@robson75
@pavbaranov

Zastosowałem poradę od Robsona75. Była zdecydowanie prostsza i bardziej dla mnie zrozumiała.

Ale przyznaję, że zafascynowały mnie możliwości podane przez Pavła.
Przede wszystkim usunąłem stary [rtl8821ce], bo faktycznie służył mi już dość długo i go od nowa zainstalowałem za pomocą Octopi.
Poradę od Pavła sobie też skopiowałem, i będę walczył o zrozumienie. Intryguje mnie przejście na kernel 5.16 no, ale... na razie umiem, co umiem.
Na podanej stronie była mowa o [rtw88: 8821c] i nie wiem czy to to samo, ale chyba tak, bo pod drugim podanym adresem ktoś się cieszył, że rtl8821ce z kernela 5,16 mu działało przez miesiąc i się wysypało, więc poczekam. A w czasie oczekiwania sobie jeszcze poczytam i może to lepiej ogarnę.
A tymczasem:
Wi-Fi znów mi działa pięknie i jestem Wam za to wdzięczny jak nie wiem co.

Zdrowia, Panowie.



pavbaranov

#4
Z podanych przez Ciebie informacji masz zainstalowany 5.16 oraz LTS 5.15. Jeśli chodzi o rtw88** to jest to moduł dla Twojej karty.

EDIT:
Nawiasem mówiąc - nie obraź się Janku - ale wydaje mi się, że w Twoim przypadku utrzymywanie własnego kernela (5.10 nie jest już w repozytoriach Archa) jest nieco porywaniem się z motyką na słońce. Spróbuj ogarnąć 5.16 (tu jedynie wypróbować, czy nie ma ten kernel wsparcia dla Twojej karty OTB) ewentualnie 5.15.x jeśli chcesz pozostać przy LTS.

robson75

Janek, mam dla Ciebie przykrą wiadomość, w dniu dzisiejszym linux-lts-tkg-bmq został zaktualizowany do wersji 5.15.
Tak więc będziesz musiał się posłużyć radami Pawła.
Arch Linux Xfce+compiz - 64Bit Linux User #621110

Zobacz najnowsze wiadomości na forum